Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.core.ocl
Class OCLModelQueryAdapter

    java.lang.Object
      org.eclipse.gmt.modisco.infra.query.core.AbstractModelQuery
          org.eclipse.gmt.modisco.infra.query.core.ocl.OCLModelQueryAdapter

    public class OCLModelQueryAdapter

extends AbstractModelQuery

Constructor Summary
`OCLModelQueryAdapter(OCLModelQuery modelQuery)`
`OCLModelQueryAdapter(java.lang.String query)`

Method Summary
`java.lang.Object` | `basicEvaluate(EObject context, java.util.List<ModelQueryParameterValue> parameterValues)` This method must be overridden by each sub class to implement query evaluation.
`java.lang.Object` | `oclEval(EObject eObject)`

Methods inherited from class org.eclipse.gmt.modisco.infra.query.core.AbstractModelQuery
`basicEvaluate, evaluate, evaluate, getModelQuery, setCheckResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCLModelQueryAdapter

    public OCLModelQueryAdapter(OCLModelQuery modelQuery)
                         throws ModelQueryException

Throws:
  `ModelQueryException`

### OCLModelQueryAdapter

    public OCLModelQueryAdapter(java.lang.String query)
                         throws ModelQueryExecutionException

Throws:
  `ModelQueryExecutionException`

Method Detail

### basicEvaluate

    public java.lang.Object basicEvaluate(EObject context,
                                          java.util.List<ModelQueryParameterValue> parameterValues)
                                   throws ModelQueryException

  Description copied from class: `AbstractModelQuery`
  This method must be overridden by each sub class to implement query evaluation.

  Specified by:
    `basicEvaluate` in class `AbstractModelQuery`
  Parameters:
    `context` - The query evaluation context
    `parameterValues` - The query parameter values
  Returns:
    A list of ModelQueryResult (one per evaluation)
  Throws:
    `ModelQueryExecutionException`
    `ModelQueryException`

### oclEval

    public java.lang.Object oclEval(EObject eObject)
                             throws ModelQueryException

  Parameters:
    `eObject` -
  Returns:
  Throws:
    `ModelQueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD